local createCompositionFLAME = nil
local createCompositionfon = nil
local createCompositionSMOUKE = nil
local createCompositionSMOUKE_2 = nil
local createCompositionWater = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/08_street/main/anim/z_shop/"
---------------------------------------------------------------------------------------
function Loader_08_Zoom_Shop_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionfon,		                'action',		        0,0, 21, 320,240, true),
		},
		{
			function (element, textureName)
				if textureName == "13_Elevator_HO_Items_solution3_2_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(10)
					anim:SetTextureRect(0,0,36,80)
					anim:SetSpeed(25)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "babl_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(24)
					anim:SetTextureRect(0,0,110,116)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "BG_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(24)
					anim:SetTextureRect(0,0,114,114)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "smoke_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,58,44)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:SetBlendMode(0)
					anim:Play()
				end
				if textureName == "svecha_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(22)
					anim:SetTextureRect(0,0,20,34)
					anim:SetSpeed(11)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:SetBlendMode(0)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionFLAME = function()
	local compositionFLAME = CreateCompositionSequence()
	local compositionDuration = 8
	compositionFLAME:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."svecha_[].png")
	element:SetName("Layer_1")
	compositionFLAME:AddElement(element)
	element:SetHotSpot(10, 17)
	element:SetParentElement(compositionFLAME)
	element:SetXY(171.5, 298.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."svecha_[].png")
	element:SetName("Layer_2")
	compositionFLAME:AddElement(element)
	element:SetHotSpot(10, 17)
	element:SetParentElement(compositionFLAME)
	element:SetXY(171.5, 298.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionFLAME:Play()
 
	return compositionFLAME
end
 
createCompositionfon = function()
	local compositionfon = CreateCompositionSequence()
	local compositionDuration = 8
	compositionfon:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionFLAME()
	element:SetName("Layer_1")
	compositionfon:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionfon)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."z_shop_glow3.png")
	element:SetName("Layer_2")
	compositionfon:AddElement(element)
	element:SetHotSpot(180, 240)
	element:SetParentElement(compositionfon)
	element:SetXY(182, 243)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_O, 0, 0.8247619047619)
	effector:SetKey(_TRACK_O, 0.279052734375, 1)
	effector:SetKey(_TRACK_O, 0.55814615885417, 0.76)
	effector:SetKey(_TRACK_O, 0.74418131510417, 0.97)
	effector:SetKey(_TRACK_O, 0.93021647135417, 0.8)
	effector:SetKey(_TRACK_O, 1.16280110677083, 0.94)
	effector:SetKey(_TRACK_O, 1.34883626302083, 0.66)
	effector:SetKey(_TRACK_O, 1.58138020833333, 1)
	effector:SetKey(_TRACK_O, 1.7674560546875, 0.68)
	effector:SetKey(_TRACK_O, 2, 0.8247619047619)
	effector:SetKey(_TRACK_O, 2.279052734375, 1)
	effector:SetKey(_TRACK_O, 2.55814615885417, 0.76)
	effector:SetKey(_TRACK_O, 2.74418131510417, 0.97)
	effector:SetKey(_TRACK_O, 2.93021647135417, 0.8)
	effector:SetKey(_TRACK_O, 3.16280110677083, 0.94)
	effector:SetKey(_TRACK_O, 3.34883626302083, 0.66)
	effector:SetKey(_TRACK_O, 3.58138020833333, 1)
	effector:SetKey(_TRACK_O, 3.7674560546875, 0.68)
	effector:SetKey(_TRACK_O, 4, 0.8247619047619)
	effector:SetKey(_TRACK_O, 4.279052734375, 1)
	effector:SetKey(_TRACK_O, 4.55814615885417, 0.76)
	effector:SetKey(_TRACK_O, 4.74418131510417, 0.97)
	effector:SetKey(_TRACK_O, 4.93021647135417, 0.8)
	effector:SetKey(_TRACK_O, 5.16280110677083, 0.94)
	effector:SetKey(_TRACK_O, 5.34883626302083, 0.66)
	effector:SetKey(_TRACK_O, 5.58138020833333, 1)
	effector:SetKey(_TRACK_O, 5.7674560546875, 0.68)
	effector:SetKey(_TRACK_O, 6, 0.8247619047619)
	effector:SetKey(_TRACK_O, 6.279052734375, 1)
	effector:SetKey(_TRACK_O, 6.55814615885417, 0.76)
	effector:SetKey(_TRACK_O, 6.74418131510417, 0.97)
	effector:SetKey(_TRACK_O, 6.93021647135417, 0.8)
	effector:SetKey(_TRACK_O, 7.16280110677083, 0.94)
	effector:SetKey(_TRACK_O, 7.34883626302083, 0.66)
	effector:SetKey(_TRACK_O, 7.58138020833333, 1)
	effector:SetKey(_TRACK_O, 7.7674560546875, 0.68)
	effector:SetKey(_TRACK_O, 8, 0.8247619047619)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionSMOUKE_2()
	element:SetName("Layer_3")
	compositionfon:AddElement(element)
	element:SetHotSpot(265, 178)
	element:SetParentElement(compositionfon)
	element:SetXY(282, 172)
 
	element:SetScaleX(2.04)
	element:SetScaleY(2.2247191011236)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositionSMOUKE()
	element:SetName("Layer_4")
	compositionfon:AddElement(element)
	element:SetHotSpot(265, 178)
	element:SetParentElement(compositionfon)
	element:SetXY(265, 178)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionWater()
	element:SetName("Layer_5")
	compositionfon:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionfon)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionfon:Play()
 
	return compositionfon
end
 
createCompositionSMOUKE = function()
	local compositionSMOUKE = CreateCompositionSequence()
	local compositionDuration = 8
	compositionSMOUKE:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."13_Elevator_HO_Items_solution3_2_[].png")
	element:SetName("Layer_1")
	compositionSMOUKE:AddElement(element)
	element:SetHotSpot(3, 78.5)
	element:SetParentElement(compositionSMOUKE)
	element:SetXY(266, 178)
 
	element:SetScaleX(1.3016047127386)
	element:SetScaleY(0.78629128494472)
	element:SetAngle(0.50982873268646)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_2")
	compositionSMOUKE:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionSMOUKE)
	element:SetXY(292, 141)
 
	element:SetScaleX(1.24251684959022)
	element:SetScaleY(1.91331481844442)
	element:SetAngle(0.4350511300034)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_3")
	compositionSMOUKE:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionSMOUKE)
	element:SetXY(325, 115.5)
 
	element:SetScaleX(1.54244509680835)
	element:SetScaleY(1.95512811173256)
	element:SetOpacity(0.44)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_4")
	compositionSMOUKE:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionSMOUKE)
	element:SetXY(324.5, 97.5)
 
	element:SetScaleX(1.66732016120556)
	element:SetScaleY(2.23857512597518)
	element:SetAngle(0.06186784579369)
	element:SetOpacity(0.44)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionSMOUKE:Play()
 
	return compositionSMOUKE
end
 
createCompositionSMOUKE_2 = function()
	local compositionSMOUKE_2 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionSMOUKE_2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."13_Elevator_HO_Items_solution3_2_[].png")
	element:SetName("Layer_1")
	compositionSMOUKE_2:AddElement(element)
	element:SetHotSpot(3, 78.5)
	element:SetParentElement(compositionSMOUKE_2)
	element:SetXY(266, 178)
 
	element:SetScaleX(1.3016047127386)
	element:SetScaleY(0.78629128494472)
	element:SetAngle(0.50982873268646)
	element:SetOpacity(0.25)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_2")
	compositionSMOUKE_2:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionSMOUKE_2)
	element:SetXY(292, 141)
 
	element:SetScaleX(1.24251684959022)
	element:SetScaleY(1.91331481844442)
	element:SetAngle(0.4350511300034)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_3")
	compositionSMOUKE_2:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionSMOUKE_2)
	element:SetXY(325, 115.5)
 
	element:SetScaleX(1.54244509680835)
	element:SetScaleY(1.95512811173256)
	element:SetOpacity(0.44)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_4")
	compositionSMOUKE_2:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionSMOUKE_2)
	element:SetXY(324.5, 97.5)
 
	element:SetScaleX(1.66732016120556)
	element:SetScaleY(2.23857512597518)
	element:SetAngle(0.06186784579369)
	element:SetOpacity(0.44)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionSMOUKE_2:Play()
 
	return compositionSMOUKE_2
end
 
createCompositionWater = function()
	local compositionWater = CreateCompositionSequence()
	local compositionDuration = 8
	compositionWater:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."maska.png")
	element:SetName("Layer_1")
	compositionWater:AddElement(element)
	element:SetHotSpot(83, 86)
	element:SetParentElement(compositionWater)
	element:SetXY(156, 219)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."BG_[].png")
	element:SetName("Layer_2")
	compositionWater:AddElement(element)
	element:SetHotSpot(57, 57)
	element:SetParentElement(compositionWater)
	element:SetXY(223, 179.5)
 
	element:SetScaleX(0.33457219379617)
	element:SetScaleY(0.33266620652456)
	element:SetAngle(-0.34307222959468)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."BG_[].png")
	element:SetName("Layer_3")
	compositionWater:AddElement(element)
	element:SetHotSpot(57, 57)
	element:SetParentElement(compositionWater)
	element:SetXY(168, 193)
 
	element:SetAngle(-0.10049596452556)
	element:SetOpacity(0.33)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."babl_[].png")
	element:SetName("Layer_4")
	compositionWater:AddElement(element)
	element:SetHotSpot(55, 58)
	element:SetParentElement(compositionWater)
	element:SetXY(171.5, 256.75)
 
	element:SetScaleX(0.77426363116113)
	element:SetScaleY(0.97575291838094)
	element:SetAngle(1.49363922747207)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_5")
	compositionWater:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionWater)
	element:SetXY(161.5, 190)
 
	element:SetScaleX(-1.46551724137931)
	element:SetScaleY(1.88636363636364)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_6")
	compositionWater:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionWater)
	element:SetXY(161.5, 190)
 
	element:SetScaleX(1.67241379310345)
	element:SetScaleY(1.88636363636364)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionWater:Play()
 
	return compositionWater
end
 
